#include<bits/stdc++.h>
using namespace std;
int main(){
	int n,m;
	cin>>n>>m;
	map <int,int> a;
	set <int> s;
	for (int i=0;i<m;i++){
		int x;
		cin>>x;
		if(a.find(x)==a.end()){
			a[x] = 1;			
		}
		else{
			a[x]++;
		}
		if(a[x] >= n){
			s.insert(x);
		}
	}
	cout<<s.size()<<'\n';
	for(int i: s){
		cout<<i<<" ";
	}
	return 0;
}